import requests
import urllib.parse

class PQ():
    @classmethod
    def insert_piaoquantv(cls, oss_object_key, title, pq_id):
        url = "https://vlogapi.piaoquantv.com/longvideoapi/crawler/video/send"
        payload = dict(pageSource='vlog-pages/post/post-video-post', videoPath=oss_object_key, width='720',
                       height='1280', fileExtensions='mp4', viewStatus='1', title=title,
                       careModelStatus='1',
                       token='f04f58d6e664cbc9902660a1e8d20ce6cd7fdb0f', loginUid=pq_id,
                       versionCode='719',
                       machineCode='weixin_openid_o0w175aZ4FJtqVsA1tcozJDJHdDU', appId='wx89e7eb06478361d7',
                       clientTimestamp='1703337579331',
                       machineInfo='{"sdkVersion":"3.2.5","brand":"iPhone","language":"zh_CN","model":"iPhone 12 Pro<iPhone13,3>","platform":"ios","system":"iOS 15.6.1","weChatVersion":"8.0.44","screenHeight":844,"screenWidth":390,"pixelRatio":3,"windowHeight":762,"windowWidth":390,"softVersion":"4.1.719"}',
                       sessionId='1703337560040-27bfe208-a389-f476-db1d-840681e04b32',
                       subSessionId='1703337569952-8f56d53c-b36d-760e-8abe-0b4a027cd5bd', senceType='1089',
                       hotSenceType='1089', id='1050', channel='pq')

        payload['videoPath'] = oss_object_key
        payload['title'] = title
        data = urllib.parse.urlencode(payload)
        headers = {
            'User-Agent': 'Mozilla/5.0 (iPhone; CPU iPhone OS 15_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 MicroMessenger/8.0.44(0x18002c2d) NetType/WIFI Language/zh_CN',
            'Accept-Encoding': 'gzip,compress,br,deflate',
            'Referer': 'https://servicewechat.com/wx89e7eb06478361d7/726/page-frame.html',
            'Content-Type': 'application/x-www-form-urlencoded',
            'Cookie': 'JSESSIONID=A60D96E7A300A25EA05425B069C8B459'
        }
        response = requests.post(url, data=data, headers=headers)
        data = response.json()
        code = data["code"]
        if code == 0:
            return True
        else:
            return False
