import os
import json
import random
import sys
import time
import uuid
import datetime

import requests
import cv2

from common import Oss
from common.pq_utility import PQ
from common.url_manage import urlManage

sys.path.append(os.getcwd())




import requests
import json

class shipinhaoVdieo():


    @classmethod
    def get_videoList(cls, vx_message, channel):
        try:
            data_link = vx_message[1]
            data_link = json.loads(data_link)

            nickname = data_link.get('nickname', '')
            title = data_link.get('title', '')
            url = "http://61.48.133.26:30001/SearchContentFristPageMediaInfo"

            payload = json.dumps({
                "content": title,
                "show_detail": "1"
            })
            headers = {
                'Content-Type': 'application/json'
            }

            response = requests.request("POST", url, headers=headers, data=payload)
            data_list = response.json()
            list = data_list.get('data', [])
            if list:
                video_url = ''
                sub_boxes = list[0].get('subBoxes', [])
                for sub_boxe in sub_boxes:
                    title = sub_boxe["items"][0].get('source',[])["title"]
                    if title == nickname:
                        video_url = sub_boxe["items"][0]['videoUrl']
                if video_url == '':
                    return "无法获取视频链接"
                # 随机生成视频oss_id
                video_id = urlManage.random_id()
                oss_object_key = Oss.video_url_upload_oss(video_url, video_id)
                status = oss_object_key.get("status")
                if status != 200:
                    return "发送OSS失败"
                    # 获取 oss 视频地址
                oss_object_key = oss_object_key.get("oss_object_key")
                piaoquantv = PQ.insert_piaoquantv(oss_object_key, title, vx_message[3])
                if piaoquantv == False:
                    return "发送账号失败"
                return
            else:
                return "无法获取视频链接"
        except Exception:
            return "URL处理失败"





